#include "xt_int.h"

/*
 * Close file.
 */
int
close(int fd) {
	int ret;

	/*
	 * Anti-interrupt protection.
	 */
	do {
		ret = _xt_sys_close(fd);
	} while(ret == -1 && errno == EINTR);

	/* Clear internal fd wrapper */
	_xt_xfd_close(fd);

	return ret;
}
