#ifndef	__XT_STACK_H__
#define	__XT_STACK_H__

/*
 * Thread stack.
 */
typedef struct xt_stack_s {
	size_t size;

	/* Stack pointers */
	void *base;	/* Fair start of the allocated area */
	void *top;	/* Top of the stack on this architecture */
	void *bottom;	/* Bottom of the stack on this architecture */

	struct xt_stack_s *next;
} xt_stack_t;

/* Create a new stack of the ginen size */
xt_stack_t *_xt_stack_new(size_t stack_size);

/* Dispose a given stack */
void _xt_stack_dispose(xt_stack_t *);


#endif	/* __XT_STACK_H__ */
