#ifndef	__XT_RING_H__
#define	__XT_RING_H__

#include "xt_int.h"

/* Various rings */
extern xt_thread_t *_xt_runnable_ring;	/* Threads waiting to be run */
extern xt_thread_t *_xt_sleeping_ring;	/* Threads in sleep() */
extern xt_thread_t *_xt_zombie_ring;	/* Finished but not caught */
extern xt_thread_t *_xt_terminated_ring;	/* Ring for terminated threads */

void _xt_move2ring(xt_thread_t *thread, xt_thread_t **ringp);

/* Checks whether the specified thread floating in some ring */
int _xt_is_in_ring(xt_thread_t *thread, xt_thread_t *ring);

#endif /* __XT_RING_H__ */
